﻿using HeuristicLab.Encodings.RealVectorEncoding;

namespace HeuristicLab.Problems.MultiObjectiveTestFunctions {
  public interface IMultiObjectiveDistance {

    /// <summary>
    /// all points in front and optimalFront are considered to be non-dominated within their own set.
    /// </summary>
    /// <param name="front"> an array of 2-dimensional? RealVectors that denote the set that will be evaluated</param>
    /// <param name="optimalFront">an array of 2-dimensional? RealVectors that denote the optimal Pareto front for a given Problem</param>
    /// <returns></returns>
    double Compare(RealVector[] front, RealVector[] optimalFront);

  }
}
